puppetca module should not run puppet cert commands as root

05/02/2017 02:06 AM - Adam Winberg

Status: Rejected   

Priority: Normal   

Assignee:    

Category: PuppetCA   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 1.14.3

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently, the puppetca code is set up to run 'puppet cert' commands via sudo as root. This seems to me to be an unnecessary

privilege escalation, it should run the command as the user running puppet. Normally this user is 'puppet', but that should be

configurable I guess.

The problem with running as root is partly that since it is not absolutely necessary it shouldn't be done (by principal), and partly that

users can have puppet certificates stored on a shared filesystem (for example NFS) where the root user on the puppet system have

no access.

History

#1 - 05/02/2017 03:00 AM - Dominic Cleal

- Project changed from Foreman to Smart Proxy

- Category changed from PuppetCA to PuppetCA

#2 - 08/02/2021 05:02 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Rejected

Since Puppet 6 the HTTP API is used instead, which means no sudo is used anymore. Puppet < 6 is EOL so there are no plans to address this.
